> For the complete documentation index, see [llms.txt](https://docs.cnpj.ws/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cnpj.ws/es/readme.md).

# Visión General

[![Run in Insomnia](https://insomnia.rest/images/run.svg)](https://insomnia.rest/run/?label=CNPJ.ws\&uri=https%3A%2F%2Fwww.cnpj.ws%2Finsomnia.yaml)

La API de **CNPJ.ws** proporciona, de manera simple y rápida, datos sobre empresas brasileñas a través del número de CNPJ. Estos datos se obtienen de organismos públicos como SEFAZ, CADESP, Sintegra, Suframa y se organizan para permitir la máxima cantidad de información útil, ampliando las posibilidades de uso de estos datos.

## Estructura básica del JSON

Los datos están estructurados para proporcionar la mayor cantidad de información útil, permitiendo la integración con diversos sistemas.

Tipos de datos utilizados:

| Sigla | Descripción |
| :---: | ----------- |
|   A   | Array       |
|   S   | String      |
|   D   | Fecha       |
|   N   | Numérico    |
|   O   | Objeto      |

A continuación se muestra la estructura básica devuelta por la API de CNPJ:

| Campo                         | Tipo | Descripción                                        |
| ----------------------------- | :--: | -------------------------------------------------- |
| cnpj\_raiz                    |   S  | Raíz del CNPJ                                      |
| razao\_social                 |   S  | Razón social de la empresa                         |
| capital\_social               |   S  | Capital social                                     |
| responsavel\_federativo       |   S  | Responsable federativo                             |
| criado\_em                    |   S  | Fecha de registro en la base de datos de CNPJ.ws   |
| atualizado\_em                |   S  | Fecha de la última actualización de la información |
| porte                         |   O  | Tamaño de la empresa                               |
| natureza\_juridica            |   O  | Naturaleza jurídica                                |
| qualificacao\_do\_responsavel |   O  | Calificación del responsable                       |
| socios                        |   O  | Lista de Socios                                    |
| estabelecimento               |   O  | Establecimiento                                    |
| simples                       |   O  | Datos del Simples y del MEI                        |

## Desfase de los Datos

El desfase máximo de los datos es de 45 días, y diariamente se realizan integraciones con los Sintegras estatales con los que tenemos integración.

¡Cualquier duda, estamos aquí para apoyarte! Envía un correo electrónico a <contacto@cnpj.ws>!

[![DigitalOcean Referral Badge](https://web-platforms.sfo2.cdn.digitaloceanspaces.com/WWW/Badge%201.svg)](https://www.digitalocean.com/?refcode=58b7deafafad\&utm_campaign=Referral_Invite\&utm_medium=Referral_Program\&utm_source=badge)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cnpj.ws/es/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
